Bug 1165554 - Request to retire perl-ZMQ-LibZMQ3
Summary: Request to retire perl-ZMQ-LibZMQ3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-ZMQ-LibZMQ3
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1424053 (view as bug list)
Depends On:
Blocks: 1045884 1394697 F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-11-19 08:00 UTC by Thomas Spura
Modified: 2017-03-29 17:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1165555 (view as bug list)
Environment:
Last Closed: 2017-03-29 17:22:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Spura 2014-11-19 08:00:22 UTC
When czmq has been rebuild against zeromq-4 in bug #1165553, this is the last package, that depends on zeromq3.

Would it be possible to retire this package and add a perl-ZMQ-LibZMQ4 package, if needed? Maybe it is also possible to just use the perl-ZMQ-LibZMQ (which should always be build against the latest version of zeromq)?

I'd like to retire zeromq3 as soon as the depending packages have been ported to zeromq-4.

Current dependencies of this packages are:
repoquery --disablerepo \* --enablerepo rawhide --repoid=rawhide --whatrequires perl-ZMQ-LibZMQ3
amavisd-new-zeromq-0:2.10.1-1.fc22.noarch

Comment 1 Petr Pisar 2014-11-22 15:14:55 UTC
There is nothing like a ZMQ-LibZMQ <http://search.cpan.org/search?query=ZMQ&mode=dist> as there is nothing like a zeromq library. Each of the ZMQ-LibZMQ<X> is a wrapper around specific zeromq-<X> library.

There is a ZMQ which is a wrapper above ZMQ-LibZMQ2 and ZMQ-LibZMQ3 to provide common abstract interface. It's author does not yet included ZMQ-LibZMQ4 support but he doubted about zeromq API stability <https://github.com/lestrrat/p5-ZMQ/issues/29>.

The ZMQ-LibZMQ4 has not yet been packaged for Fedora.

Comment 2 Thomas Spura 2015-02-04 11:10:17 UTC
(In reply to Petr Pisar from comment #1)
> There is a ZMQ which is a wrapper above ZMQ-LibZMQ2 and ZMQ-LibZMQ3 to
> provide common abstract interface. It's author does not yet included
> ZMQ-LibZMQ4 support but he doubted about zeromq API stability
> <https://github.com/lestrrat/p5-ZMQ/issues/29>.

I had the same doubts a while back, but I have changed my mind. ZeroMQ seems to be a lot more stable, that it was a few years ago. There are also some reports, that older versions run quite unstable, so it would be nice to not use them anymore...

My perl knowledge is limited, so I cannot test if ZMQ-LibZMQ3 would work with version 4. A scratch build with zeromq-4 seems to work:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8816927

except for this:
+ make test
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
# 
#    This is ZMQ::LibZMQ3.pm version 1.16
#    Linked against zmq 4.0.5
t/000_compile.t ... ok
t/001_context.t ... ok
t/002_socket.t .... ok
t/003_message.t ... ok
t/004_version.t ... ok
t/005_poll.t ...... ok
t/006_anyevent.t .. ok
t/100_basic.t ..... ok
t/101_threads.t ... ok
t/104_ipc.t ....... ok
t/200_fork.t ...... ok
t/201_thread.t .... ok
t/202_proxy.t ..... skipped: Test requires module 'Proc::Guard' but it's not found
t/rt64944.t ....... ok
t/rt74653.t ....... skipped: Test requires module 'Proc::Guard' but it's not found
All tests successful.
Files=15, Tests=70,  8 wallclock secs ( 0.10 usr  0.02 sys +  1.02 cusr  0.12 csys =  1.26 CPU)
Result: PASS

Are you willing to take over the zeromq3 package then?
I'd like to retire it completely, yet if you still require it, I'd only orphan it?

Comment 3 Jaroslav Reznik 2015-03-03 16:31:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Thomas Spura 2015-05-19 11:40:20 UTC
Jose could you please retire perl-LibZMQ3 as I'd like to nuke zeromq3 from the distribution? No other package currently requires perl-LibZMQ3.

Comment 5 Fedora End Of Life 2016-07-19 12:25:22 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Thomas Spura 2016-11-13 10:43:35 UTC
I plan to retire zeromq3 now next week, see:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/6LNOPHWFIMBMPR62COKIMW7YG2RZFMQT/

Comment 7 Petr Pisar 2016-11-14 09:35:01 UTC
Fine. I will retire it once you retire it.

Comment 8 Petr Pisar 2016-11-14 09:37:25 UTC
(In reply to Petr Pisar from comment #7)
> Fine. I will retire it once you retire it.

I noticed I do not own this package. Then it's up to Jose Pedro Oliveira.

Comment 9 Thomas Spura 2016-11-30 21:10:48 UTC
(In reply to Petr Pisar from comment #8)
> (In reply to Petr Pisar from comment #7)
> > Fine. I will retire it once you retire it.
> 
> I noticed I do not own this package. Then it's up to Jose Pedro Oliveira.

zeromq3 is now retired.

Comment 10 Petr Pisar 2016-12-23 10:11:05 UTC
Any progress? Please see <https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life> for how to retire a package.

Comment 11 Petr Pisar 2017-01-20 13:58:43 UTC
If you are too busy, you can orphan the package and then I could adopt it and retire it in turn.

Comment 12 Petr Pisar 2017-02-20 07:57:14 UTC
*** Bug 1424053 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Admin XMLRPC Client 2017-03-20 12:26:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Petr Pisar 2017-03-20 12:27:28 UTC
Retired in Fedora ≥ 26. Waiting on blocking in Koji.

Comment 15 Thomas Spura 2017-03-20 18:00:28 UTC
Great, thanks!

Comment 16 Petr Pisar 2017-03-29 17:22:04 UTC
Blocked.


Note You need to log in before you can comment on or make changes to this bug.